import { environment } from '../../../../../environments/environment';
import { DateService } from '../../../../core/services/date.service';
import { Component, OnInit } from '@angular/core';
import { ModalHelper } from '@delon/theme';
import { NzModalSubject, NzMessageService } from 'ng-zorro-antd';
import {HttpClient} from '@angular/common/http';

@Component({
  selector: 'app-alarm-user-edit',
  templateUrl: './alarm-user-edit.component.html',
  styles: []
})
export class AlarmUserEditComponent implements OnInit {

  alarmUser: any;

  constructor(private modalHelper: ModalHelper,
    private subject: NzModalSubject,
    public dateSrv: DateService,
    public msgSrv: NzMessageService,
    public http: HttpClient) {}

  ngOnInit() {
  }
  
  save() {
    this.http.post(environment.SERVER_BASH_URL + '/alarmUser/alarmUser', this.alarmUser).subscribe(() => {
      this.subject.next('true');
      this.close();
    });
  }

  close() {
    this.subject.destroy();
  }

}
